Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5117)
@@ -57,5 +57,5 @@
   USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,ridicule,bidouille_anti_divergence
 #ifdef ISOVERIF
-    use isotopes_verif_mod
+    USE isotopes_verif_mod
 !, ONLY: errmax,errmaxrel,Tmin_verif,deltalim, &
 !&       iso_verif_egalite_choix,iso_verif_aberrant_choix,iso_verif_aberrant, &
@@ -63,10 +63,10 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
+    USE isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
 &       izone_poubelle, index_zone,option_tmin,izone_cond
 #ifdef ISOVERIF
   USE isotopes_verif_mod, ONLY: iso_verif_traceur,iso_verif_traceur_justmass, &
 &       iso_verif_trac_masse_vect
-    use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
+    USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -306,31 +306,31 @@
   REAL, DIMENSION (len ), INTENT (OUT)               :: epmax_diag1        
 #ifdef ISO
-      real, DIMENSION(ntraciso,len,nd), INTENT (IN)    :: xt1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: fxt1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: xt1_wake
-      real, DIMENSION(ntraciso,len), INTENT (OUT)      :: xtprecip1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: fxtd1
-      real, DIMENSION(ntraciso,len,ndp1), INTENT (OUT) :: xtvprecip1
-      real, DIMENSION(ntraciso,len,ndp1), INTENT (OUT) :: xtvprecipi1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtwdtrainA1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtevap1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (IN)    :: xt1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: fxt1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: xt1_wake
+      REAL, DIMENSION(ntraciso,len), INTENT (OUT)      :: xtprecip1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)   :: fxtd1
+      REAL, DIMENSION(ntraciso,len,ndp1), INTENT (OUT) :: xtvprecip1
+      REAL, DIMENSION(ntraciso,len,ndp1), INTENT (OUT) :: xtvprecipi1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtwdtrainA1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtevap1
       REAL, DIMENSION (ntraciso,len, nd), INTENT (OUT)            :: xtclw1 
       REAL, DIMENSION (ntraciso,len, nd, nd)        :: xtelij1  ! pas besoin de le sortir?
 #ifdef DIAGISO
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   water1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtwater1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   qp1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)    ::   xtp1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   fq_detrainement1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   fq_ddft1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   fq_fluxmasse1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   fq_evapprecip1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_detrainement1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_ddft1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_fluxmasse1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_evapprecip1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   f_detrainement1
-      real, DIMENSION(len,nd), INTENT (OUT)             ::   q_detrainement1
-      real, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xt_detrainement1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   water1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xtwater1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   qp1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)    ::   xtp1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   fq_detrainement1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   fq_ddft1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   fq_fluxmasse1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   fq_evapprecip1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_detrainement1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_ddft1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_fluxmasse1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   fxt_evapprecip1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   f_detrainement1
+      REAL, DIMENSION(len,nd), INTENT (OUT)             ::   q_detrainement1
+      REAL, DIMENSION(ntraciso,len,nd), INTENT (OUT)        ::   xt_detrainement1
 !      real mentbas1(len,nd)
 !      real qentbas1(len,nd), xtentbas1(niso,len,nd)
@@ -508,6 +508,6 @@
 
 #ifdef ISO
-      integer ixt
-      real xtnk1(ntraciso,len)
+      INTEGER ixt
+      REAL xtnk1(ntraciso,len)
 #endif
 
@@ -622,40 +622,40 @@
 
 #ifdef ISO
-      real xt(ntraciso,nloc,nd)
+      REAL xt(ntraciso,nloc,nd)
       REAL, DIMENSION(ntraciso,nloc, nd)    :: xtta
-      real xt_wake(ntraciso,nloc,nd)
-      real xtclw(ntraciso,nloc,nd)
-      real xtp(ntraciso,nloc,nd)
-      real xtent(ntraciso,nloc,nd,nd)
-      real xtelij(ntraciso,nloc,nd,nd)
-      real xtwater(ntraciso,nloc,nd)
-      real xtice(ntraciso,nloc,nd)
-      real xtevap(ntraciso,nloc,nd)
-      real fxt(ntraciso,nloc,nd)
-      real fxtd(ntraciso,nloc,nd)
-      real xtprecip(ntraciso,nloc)
-      real xtnk(ntraciso,nloc)
-      real xtVprecip(ntraciso,nloc,nd+1)
-      real xtVprecipi(ntraciso,nloc,nd+1)
-      real xtwdtrainA(niso,nloc,nd)
+      REAL xt_wake(ntraciso,nloc,nd)
+      REAL xtclw(ntraciso,nloc,nd)
+      REAL xtp(ntraciso,nloc,nd)
+      REAL xtent(ntraciso,nloc,nd,nd)
+      REAL xtelij(ntraciso,nloc,nd,nd)
+      REAL xtwater(ntraciso,nloc,nd)
+      REAL xtice(ntraciso,nloc,nd)
+      REAL xtevap(ntraciso,nloc,nd)
+      REAL fxt(ntraciso,nloc,nd)
+      REAL fxtd(ntraciso,nloc,nd)
+      REAL xtprecip(ntraciso,nloc)
+      REAL xtnk(ntraciso,nloc)
+      REAL xtVprecip(ntraciso,nloc,nd+1)
+      REAL xtVprecipi(ntraciso,nloc,nd+1)
+      REAL xtwdtrainA(niso,nloc,nd)
 #ifdef DIAGISO
-      real fxt_detrainement(niso,nloc,nd)
-      real fxt_fluxmasse(niso,nloc,nd)
-      real fxt_evapprecip(niso,nloc,nd)
-      real fxt_ddft(niso,nloc,nd)
-      real fq_detrainement(nloc,nd)
-      real fq_fluxmasse(nloc,nd)
-      real fq_evapprecip(nloc,nd)
-      real fq_ddft(nloc,nd)
-      real f_detrainement(nloc,nd)
-      real q_detrainement(nloc,nd)
-      real xt_detrainement(niso,nloc,nd)
+      REAL fxt_detrainement(niso,nloc,nd)
+      REAL fxt_fluxmasse(niso,nloc,nd)
+      REAL fxt_evapprecip(niso,nloc,nd)
+      REAL fxt_ddft(niso,nloc,nd)
+      REAL fq_detrainement(nloc,nd)
+      REAL fq_fluxmasse(nloc,nd)
+      REAL fq_evapprecip(nloc,nd)
+      REAL fq_ddft(nloc,nd)
+      REAL f_detrainement(nloc,nd)
+      REAL q_detrainement(nloc,nd)
+      REAL xt_detrainement(niso,nloc,nd)
 #endif
 #ifdef ISOTRAC
-      integer iiso,ixt_ddft,ixt_poubelle,ixt_revap
-      integer izone 
+      INTEGER iiso,ixt_ddft,ixt_poubelle,ixt_revap
+      INTEGER izone
 #endif
 #ifdef ISOVERIF
-      integer j
+      INTEGER j
 #endif
 #endif  
@@ -823,5 +823,5 @@
     END IF
 ! PRINT*,'t1, q1 ',t1,q1
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1, q1, p1, ph1, &           ! nd->na
@@ -829,5 +829,5 @@
 
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1_wake, q1_wake, p1, ph1, & ! nd->na
@@ -839,5 +839,5 @@
   IF (iflag_con==4) THEN
     PRINT *, 'Emanuel version 4 '
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_prelim'
     CALL cv_prelim(len, nd, ndp1, t1, q1, p1, ph1, &
@@ -884,5 +884,5 @@
 ! WRITE(*,'(64i1)') iflag1(2:len-1)
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_feed'
     CALL cv3_feed(len, nd, ok_conserv_q, &                 ! nd->na
@@ -902,5 +902,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_feed'
     CALL cv_feed(len, nd, t1, q1, qs1, p1, hm1, gz1, &
@@ -919,5 +919,5 @@
   IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_undilute1'
 
@@ -925,8 +925,8 @@
 #ifdef ISOVERIF
        WRITE(*,*) 'cva_driver 593: avant cv3_undilute1'
-       if (iso_HDO.gt.0) THEN
+       IF (iso_HDO.gt.0) THEN
        do k=1,nd       
          do i=1,len           
-           if (q1(i,k).gt.ridicule) THEN
+           IF (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                   'cva_driver 502')
@@ -935,5 +935,5 @@
         enddo !do k=1,nd   
         endif !if (iso_HDO.gt.0) THEN
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do i=1,len
             do k=1,nd
@@ -972,5 +972,5 @@
        do k=1,nd
         do i = 1, len
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                  'cva_driver 798',errmax,errmaxrel)
@@ -999,5 +999,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_undilute1'
     CALL cv_undilute1(len, nd, t1, q1, qs1, gz1, p1, nk1, icb1, icbmax, &
@@ -1013,5 +1013,5 @@
   IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_trigger'
     CALL cv3_trigger(len, nd, icb1, plcl1, p1, th1, tv1, tvp1, thnk1, & ! nd->na
@@ -1027,5 +1027,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_trigger'
     CALL cv_trigger(len, nd, icb1, cbmf1, tv1, tvp1, iflag1)
@@ -1068,5 +1068,5 @@
   compress = ncum < len*comp_threshold
 
-  IF (.not. compress) THEN
+  IF (.NOT. compress) THEN
     DO i = 1,len
       idcum(i) = i
@@ -1078,5 +1078,5 @@
        do k=1,nd
         do i = 1, nloc
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                   'cva_driver 541a',errmax,errmaxrel)
@@ -1093,5 +1093,5 @@
 
 !>jyg
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3a_compress'
       CALL cv3a_compress(len, nloc, ncum, nd, ntra, compress, &
@@ -1131,5 +1131,5 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cva_driver 598',errmax,errmaxrel)
@@ -1139,5 +1139,5 @@
                   'cva_driver 602',errmax,errmaxrel)
          endif !  if (iso_eau.gt.0) THEN
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
@@ -1162,5 +1162,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_compress'
       CALL cv_compress(len, nloc, ncum, nd, &
@@ -1186,5 +1186,5 @@
 
     IF (iflag_con==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_undilute2'
       CALL cv3_undilute2(nloc, ncum, nd, iflag, icb, icbs, nk, &        !na->nd
@@ -1201,5 +1201,5 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cva_driver 650',errmax,errmaxrel)
@@ -1209,5 +1209,5 @@
                   'cva_driver 652',errmax,errmaxrel)
          endif !  if (iso_eau.gt.0) THEN
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
@@ -1235,5 +1235,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_undilute2'
       CALL cv_undilute2(nloc, ncum, nd, icb, nk, &
@@ -1245,5 +1245,5 @@
     ! epmax_cape
     ! on recalcule ep et hp    
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_epmax_cape'
     CALL cv3_epmax_fn_cape(nloc,ncum,nd &
@@ -1263,5 +1263,5 @@
       IF (iflag_mix>=1) THEN
         CALL zilch(supmax, nloc*nd)
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p_mixing'
         CALL cv3p_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &           ! na->nd
@@ -1288,5 +1288,5 @@
     IF (iflag_con==3) THEN
       IF (iflag_clos==0) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_closure'
         CALL cv3_closure(nloc, ncum, nd, icb, inb, &           ! na->nd
@@ -1306,5 +1306,5 @@
 
       IF (iflag_clos==2) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p1_closure'
         CALL cv3p1_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
@@ -1314,10 +1314,10 @@
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
-        if (prt_level >= 10) &
+        IF (prt_level >= 10) &
              PRINT *, 'cv3p1_closure-> plfc,wbeff ', plfc(1), wbeff(1)
       END IF   ! iflag_clos==2
 
       IF (iflag_clos==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p2_closure'
         CALL cv3p2_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
@@ -1327,5 +1327,5 @@
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
-        if (prt_level >= 10) &
+        IF (prt_level >= 10) &
              PRINT *, 'cv3p2_closure-> plfc,wbeff ', plfc(1), wbeff(1)
       END IF   ! iflag_clos==3
@@ -1333,5 +1333,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_closure'
       CALL cv_closure(nloc, ncum, nd, nk, icb, &
@@ -1348,5 +1348,5 @@
     IF (iflag_con==3) THEN
       IF (iflag_mix==0) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_mixing'
         CALL cv3_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &             ! na->nd
@@ -1368,5 +1368,5 @@
        do j = 1, nd
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,i,j,k), &
                   elij(i,j,k),'cva_driver 881',errmax,errmaxrel)
@@ -1387,5 +1387,5 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cva_driver 709',errmax,errmaxrel)
@@ -1393,13 +1393,13 @@
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cva_driver 856')
-           if (option_tmin.eq.1) THEN
-             if (iso_verif_positif_nostop(xtclw(itZonIso( &
+           IF (option_tmin.EQ.1) THEN
+             IF (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cva_driver 909').eq.1) THEN
+                 ,'cva_driver 909').EQ.1) THEN
                WRITE(*,*) 'i,k=',i,k
                WRITE(*,*) 'xtclw=',xtclw(:,i,k)
                stop
              endif !if (iso_verif_positif_nostop(xtclw(itZonIso(
-           endif !if ((option_traceurs.eq.17).or.
+           endif !if ((option_traceurs.EQ.17).OR.
 #endif  
         enddo
@@ -1423,5 +1423,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_mixing'
       CALL cv_mixing(nloc, ncum, nd, icb, nk, inb, inbis, &
@@ -1449,5 +1449,5 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cva_driver 753a',errmax,errmaxrel)
@@ -1463,5 +1463,5 @@
 #endif
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_unsat'
       CALL cv3_unsat(nloc, ncum, nd, nd, ntra, icb, inb, iflag, &              ! na->nd
@@ -1497,5 +1497,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_unsat'
       CALL cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, &
@@ -1510,5 +1510,5 @@
 #ifdef ISO
 #ifdef ISOTRAC
-      if (option_traceurs.eq.6) THEN
+      IF (option_traceurs.EQ.6) THEN
           ! on colorie les ddfts en rouge, le reste est en blanc.
           do k=1,nd
@@ -1526,10 +1526,10 @@
             enddo !do i = 1, ncum
           enddo !do k=1,nd
-      else if (option_traceurs.eq.19) THEN
+      ELSE IF (option_traceurs.EQ.19) THEN
           ! on colorie les ddfts, mais on sauve la revap
           do k=1,nd
             do i = 1, ncum
                do izone=1,nzone
-                 if (izone.eq.izone_ddft) THEN
+                 IF (izone.EQ.izone_ddft) THEN
                    do iiso=1,niso
                      ixt_ddft=itZonIso(izone,iiso)
@@ -1537,12 +1537,12 @@
                      xtp(ixt_ddft,i,k)=xtp(iiso,i,k)-xtp(ixt_revap,i,k)
                    enddo !do iiso=1,niso
-                 elseif (izone.eq.izone_ddft) THEN
+                 elseif (izone.EQ.izone_ddft) THEN
                     ! rien à faire
-                 else !if (izone.eq.izone_ddft) THEN
+                 else !if (izone.EQ.izone_ddft) THEN
                    do iiso=1,niso
                      ixt=itZonIso(izone,iiso)
                      xtp(ixt,i,k)=0.0
                    enddo !do iiso=1,niso
-                 endif !if (izone.eq.izone_ddft) THEN
+                 endif !if (izone.EQ.izone_ddft) THEN
                enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -1551,5 +1551,5 @@
             enddo !do i = 1, ncum
           enddo !do k=1,nd
-      endif !if (option_traceurs.eq.6) THEN
+      endif !if (option_traceurs.EQ.6) THEN
 #endif
 #endif   
@@ -1565,5 +1565,5 @@
     IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_yield'
 
@@ -1599,10 +1599,10 @@
       DO k = 1, nd
        DO i = 1, ncum
-        if (iso_HDO.gt.0) THEN
-          if (q(i,k)+delt*fq(i,k).gt.ridicule) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (q(i,k)+delt*fq(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
                 /(q(i,k)+delt*fq(i,k)),'cva_driver 855a')
-                if (iso_O18.gt.0) THEN
+                IF (iso_O18.gt.0) THEN
             CALL iso_verif_O18_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
@@ -1613,5 +1613,5 @@
           endif
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt(iso_eau,i,k), &
                 fq(i,k),'cva_driver 1305',errmax,errmaxrel)
@@ -1637,5 +1637,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_yield'
       CALL cv_yield(nloc, ncum, nd, nk, icb, inb, delt, &
@@ -1657,5 +1657,5 @@
     IF (iflag_con==3) THEN
 !RomP >>>
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_tracer'
       CALL cv3_tracer(nloc, len, ncum, nd, nd, &
@@ -1674,5 +1674,5 @@
 
     IF (iflag_con==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3a_uncompress'
       CALL cv3a_uncompress(nloc, len, ncum, nd, ntra, idcum, compress, &
@@ -1723,6 +1723,6 @@
       DO k = 1, nd
        DO i = 1, len
-        if (iso_HDO.gt.0) THEN
-          if (q1(i,k).gt.ridicule) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt1(iso_HDO,i,k)+delt*fxt1(iso_HDO,i,k)) &
@@ -1730,11 +1730,11 @@
           endif
          endif !if (iso_HDO.gt.0) THEN
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt1(iso_eau,i,k), &
                 fq1(i,k),'cva_driver 1383',errmax,errmaxrel)
          endif      
          do ixt=1,ntraciso
-           if (iso_verif_noNaN_nostop(fxtd1(ixt,i,k), &
-                 'cva_driver 1447').eq.1) THEN
+           IF (iso_verif_noNaN_nostop(fxtd1(ixt,i,k), &
+                 'cva_driver 1447').EQ.1) THEN
               WRITE(*,*) 'i,k=', i,k
               stop
@@ -1755,5 +1755,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_uncompress'
       CALL cv_uncompress(nloc, len, ncum, nd, idcum, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90	(revision 5117)
@@ -3,5 +3,5 @@
 
 MODULE isotopes_mod
-   USE strings_mod,  ONLY: msg, real2str, int2str, bool2str, maxlen, strIdx, strStack
+   USE lmdz_strings,  ONLY: msg, real2str, int2str, bool2str, maxlen, strIdx, strStack
    USE infotrac_phy, ONLY: isoName
    IMPLICIT NONE
@@ -156,5 +156,5 @@
 SUBROUTINE iso_init()
    USE infotrac_phy,       ONLY: ntiso, niso, getKey
-    USE strings_mod,       ONLY: maxlen
+    USE lmdz_strings,       ONLY: maxlen
    IMPLICIT NONE
 
@@ -291,9 +291,9 @@
 
    do ixt=1,niso
-     if (ixt.eq.iso_HTO) then  ! Tritium
+     IF (ixt.EQ.iso_HTO) then  ! Tritium
        tkcin0(ixt) = 0.01056
        tkcin1(ixt) = 0.0005016
        tkcin2(ixt) = 0.0014432
-       if (tnat1) THEN
+       IF (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -311,5 +311,5 @@
        Rmethox(ixt)=0.0
      endif
-     if (ixt.eq.iso_O17) then  ! O17
+     IF (ixt.EQ.iso_O17) then  ! O17
        pente_MWL=0.528 
        tdifrel(ixt)=1./0.98555 ! valeur utilisée en 1D et dans modèle de LdG ! tdifrel(ixt)=1./0.985452 ! donné par Amaelle
@@ -318,5 +318,5 @@
        tkcin1(ixt) = tkcin1_O18*fac_kcin
        tkcin2(ixt) = tkcin2_O18*fac_kcin
-       if (tnat1) THEN
+       IF (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -334,9 +334,9 @@
        Rmethox(ixt)=(230./1000.+1.)*tnat(ixt) !Zahn et al 2006
      endif
-     if (ixt.eq.iso_O18) then  ! Oxygene18
+     IF (ixt.EQ.iso_O18) then  ! Oxygene18
        tkcin0(ixt) = tkcin0_O18
        tkcin1(ixt) = tkcin1_O18
        tkcin2(ixt) = tkcin2_O18
-       if (tnat1) THEN
+       IF (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -355,5 +355,5 @@
        Rmethox(ixt)=(130./1000.+1.)*tnat(ixt) !Zahn et al 2006  
      endif
-     if (ixt.eq.iso_HDO) then ! Deuterium
+     IF (ixt.EQ.iso_HDO) then ! Deuterium
        pente_MWL=8.0
        tdifrel(ixt)=1./0.9755 !          fac_kcin=0.88
@@ -362,5 +362,5 @@
        tkcin1(ixt) = tkcin1_O18*fac_kcin
        tkcin2(ixt) = tkcin2_O18*fac_kcin
-       if (tnat1) THEN
+       IF (tnat1) THEN
                tnat(ixt)=1
        else
@@ -381,5 +381,5 @@
        Rmethox(ixt)=tnat(ixt)*(-25.0/1000.+1.) ! Zahn et al 2006
      endif
-     if (ixt.eq.iso_eau) then ! Oxygene16
+     IF (ixt.EQ.iso_eau) then ! Oxygene16
        tkcin0(ixt) = 0.0
        tkcin1(ixt) = 0.0
@@ -402,5 +402,5 @@
    IF(.NOT.Rdefault_smow) THEN
         Rdefault(:) = 0.0
-        if (iso_eau.gt.0) Rdefault(iso_eau) = 1.0 ! correction Camille 30 mars 2023
+        IF (iso_eau.gt.0) Rdefault(iso_eau) = 1.0 ! correction Camille 30 mars 2023
    ENDIF
    WRITE(*,*) 'Rdefault=',Rdefault
